Debian Bug report logs - #556009
linux-image-2.6.31-1-686: ath9k disassociates frequently, regression from 2.6.30

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Russ Allbery <rra@debian.org>

Date: Fri, 13 Nov 2009 03:21:01 UTC

Severity: important

Tags: fixed-upstream, moreinfo, upstream

Found in versions 2.6.31-1, 2.6.32-5

Forwarded to http://bugzilla.kernel.org/show_bug.cgi?id=14267

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Fri, 13 Nov 2009 03:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Nov 2009 03:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.31-1-686: ath9k disassociates frequently, regression from 2.6.30
Date: Thu, 12 Nov 2009 19:17:39 -0800
Package: linux-2.6
Version: 2.6.31-1
Severity: important

After upgrading from 2.6.30-2-686, where wireless was working fine,
the ath9k driver started frequently spontaneously disassociating.
Forcing reassociation with iwconfig wlan0 ap <mac-address> would work,
but it would spontaneously disassociate again after just a few minutes.

This appears to be:

    http://bugzilla.kernel.org/show_bug.cgi?id=14267

but I'm not certain.

The message when this happens is:

[  745.004651] wlan0: no probe response from AP 00:13:10:d3:0b:2a - disassociating

when I force reassociation, I get:

[  788.085908] wlan0: direct probe to AP 00:13:10:d3:0b:2a try 1
[  788.087976] wlan0 direct probe responded
[  788.087983] wlan0: authenticate with AP 00:13:10:d3:0b:2a
[  788.090275] wlan0: authenticated
[  788.090281] wlan0: associate with AP 00:13:10:d3:0b:2a
[  788.092814] wlan0: RX ReassocResp from 00:13:10:d3:0b:2a (capab=0x431 status=0 aid=2)
[  788.092820] wlan0: associated
[  980.011984] wlan0: no probe response from AP 00:13:10:d3:0b:2a - disassociating

As you can see, it spontaneously disassociates again after a while.  The
same configuration works fine with 2.6.30-2-686.

Possibly related: shortly after the first time I booted into 2.6.31, I
got the following:

[  397.996992] Uhhuh. NMI received for unknown reason a0 on CPU 0.
[  397.996992] You have some hardware problem, likely on the PCI bus.
[  397.996992] Dazed and confused, but trying to continue
[  401.996039] wlan0: no probe response from AP 00:13:10:d3:0b:2a - disassociating

I don't know if the NMI problem is at all related to this.  I don't get
that NMI error with 2.6.30-2-686.

-- Package-specific info:
** Kernel log: boot messages should be attached
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Linux version 2.6.31-1-686 (Debian 2.6.31-1) (waldi@debian.org) (gcc version 4.3.4 (Debian 4.3.4-5) ) #1 SMP Sun Oct 25 20:25:27 UTC 2009
[    0.000000] KERNEL supported cpus:
[    0.000000]   Intel GenuineIntel
[    0.000000]   AMD AuthenticAMD
[    0.000000]   NSC Geode by NSC
[    0.000000]   Cyrix CyrixInstead
[    0.000000]   Centaur CentaurHauls
[    0.000000]   Transmeta GenuineTMx86
[    0.000000]   Transmeta TransmetaCPU
[    0.000000]   UMC UMC UMC UMC
[    0.000000] BIOS-provided physical RAM map:
[    0.000000]  BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
[    0.000000]  BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
[    0.000000]  BIOS-e820: 00000000000d2000 - 00000000000d4000 (reserved)
[    0.000000]  BIOS-e820: 00000000000dc000 - 0000000000100000 (reserved)
[    0.000000]  BIOS-e820: 0000000000100000 - 000000007fed0000 (usable)
[    0.000000]  BIOS-e820: 000000007fed0000 - 000000007fedf000 (ACPI data)
[    0.000000]  BIOS-e820: 000000007fedf000 - 000000007ff00000 (ACPI NVS)
[    0.000000]  BIOS-e820: 000000007ff00000 - 0000000080000000 (reserved)
[    0.000000]  BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
[    0.000000]  BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
[    0.000000]  BIOS-e820: 00000000fed14000 - 00000000fed1a000 (reserved)
[    0.000000]  BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
[    0.000000]  BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[    0.000000]  BIOS-e820: 00000000ff800000 - 0000000100000000 (reserved)
[    0.000000] DMI present.
[    0.000000] last_pfn = 0x7fed0 max_arch_pfn = 0x100000
[    0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[    0.000000] init_memory_mapping: 0000000000000000-00000000373fe000
[    0.000000] RAMDISK: 3777a000 - 37fefd54
[    0.000000] Allocated new RAMDISK: 00100000 - 00975d54
[    0.000000] Move RAMDISK from 000000003777a000 - 0000000037fefd53 to 00100000 - 00975d53
[    0.000000] ACPI: RSDP 000f67d0 00024 (v02 LENOVO)
[    0.000000] ACPI: XSDT 7fed156e 0008C (v01 LENOVO TP-7I    00001070  LTP 00000000)
[    0.000000] ACPI: FACP 7fed1700 000F4 (v03 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI Warning: 32/64X length mismatch in Gpe1Block: 0/32 20090521 tbfadt-527
[    0.000000] ACPI Warning: Optional field Gpe1Block has zero address or length: 000000000000102C/0 20090521 tbfadt-558
[    0.000000] ACPI: DSDT 7fed1a5e 0D21B (v01 LENOVO TP-7I    00001070 MSFT 0100000E)
[    0.000000] ACPI: FACS 7fef4000 00040
[    0.000000] ACPI: SSDT 7fed18b4 001AA (v01 LENOVO TP-7I    00001070 MSFT 0100000E)
[    0.000000] ACPI: ECDT 7fedec79 00052 (v01 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI: TCPA 7fedeccb 00032 (v02 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI: APIC 7fedecfd 00068 (v01 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI: MCFG 7feded65 0003C (v01 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI: HPET 7fededa1 00038 (v01 LENOVO TP-7I    00001070 LNVO 00000001)
[    0.000000] ACPI: SLIC 7fedee62 00176 (v01 LENOVO TP-7I    00001070  LTP 00000000)
[    0.000000] ACPI: BOOT 7fedefd8 00028 (v01 LENOVO TP-7I    00001070  LTP 00000001)
[    0.000000] ACPI: SSDT 7fef2697 0025F (v01 LENOVO TP-7I    00001070 INTL 20050513)
[    0.000000] ACPI: SSDT 7fef28f6 000A6 (v01 LENOVO TP-7I    00001070 INTL 20050513)
[    0.000000] ACPI: SSDT 7fef299c 004F7 (v01 LENOVO TP-7I    00001070 INTL 20050513)
[    0.000000] ACPI: SSDT 7fef2e93 001D8 (v01 LENOVO TP-7I    00001070 INTL 20050513)
[    0.000000] 1162MB HIGHMEM available.
[    0.000000] 883MB LOWMEM available.
[    0.000000]   mapped low ram: 0 - 373fe000
[    0.000000]   low ram: 0 - 373fe000
[    0.000000]   node 0 low ram: 00000000 - 373fe000
[    0.000000]   node 0 bootmap 00009000 - 0000fe80
[    0.000000] (9 early reservations) ==> bootmem [0000000000 - 00373fe000]
[    0.000000]   #0 [0000000000 - 0000001000]   BIOS data page ==> [0000000000 - 0000001000]
[    0.000000]   #1 [0000001000 - 0000002000]    EX TRAMPOLINE ==> [0000001000 - 0000002000]
[    0.000000]   #2 [0000006000 - 0000007000]       TRAMPOLINE ==> [0000006000 - 0000007000]
[    0.000000]   #3 [0001000000 - 0001500d58]    TEXT DATA BSS ==> [0001000000 - 0001500d58]
[    0.000000]   #4 [000009f000 - 0000100000]    BIOS reserved ==> [000009f000 - 0000100000]
[    0.000000]   #5 [0001501000 - 0001507138]              BRK ==> [0001501000 - 0001507138]
[    0.000000]   #6 [0000007000 - 0000009000]          PGTABLE ==> [0000007000 - 0000009000]
[    0.000000]   #7 [0000100000 - 0000975d54]      NEW RAMDISK ==> [0000100000 - 0000975d54]
[    0.000000]   #8 [0000009000 - 0000010000]          BOOTMAP ==> [0000009000 - 0000010000]
[    0.000000] found SMP MP-table at [c00f6810] f6810
[    0.000000] Zone PFN ranges:
[    0.000000]   DMA      0x00000000 -> 0x00001000
[    0.000000]   Normal   0x00001000 -> 0x000373fe
[    0.000000]   HighMem  0x000373fe -> 0x0007fed0
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[2] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x0000009f
[    0.000000]     0: 0x00000100 -> 0x0007fed0
[    0.000000] Using APIC driver default
[    0.000000] ACPI: PM-Timer IO Port: 0x1008
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.000000] ACPI: IOAPIC (id[0x01] address[0xfec00000] gsi_base[0])
[    0.000000] IOAPIC[0]: apic_id 1, version 32, address 0xfec00000, GSI 0-23
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
[    0.000000] ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
[    0.000000] Enabling APIC mode:  Flat.  Using 1 I/O APICs
[    0.000000] Using ACPI (MADT) for SMP configuration information
[    0.000000] ACPI: HPET id: 0x8086a201 base: 0xfed00000
[    0.000000] SMP: Allowing 2 CPUs, 0 hotplug CPUs
[    0.000000] PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
[    0.000000] PM: Registered nosave memory: 00000000000a0000 - 00000000000d2000
[    0.000000] PM: Registered nosave memory: 00000000000d2000 - 00000000000d4000
[    0.000000] PM: Registered nosave memory: 00000000000d4000 - 00000000000dc000
[    0.000000] PM: Registered nosave memory: 00000000000dc000 - 0000000000100000
[    0.000000] Allocating PCI resources starting at 80000000 (gap: 80000000:70000000)
[    0.000000] NR_CPUS:32 nr_cpumask_bits:32 nr_cpu_ids:2 nr_node_ids:1
[    0.000000] PERCPU: Embedded 13 pages at c2512000, static data 31868 bytes
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 519793
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.31-1-686 root=UUID=7751f9ff-c4eb-4cac-82e7-9ba705ada1cb ro quiet
[    0.000000] PID hash table entries: 4096 (order: 12, 16384 bytes)
[    0.000000] Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
[    0.000000] Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
[    0.000000] Enabling fast FPU save and restore... done.
[    0.000000] Enabling unmasked SIMD FPU exception support... done.
[    0.000000] Initializing CPU#0
[    0.000000] Initializing HighMem for node 0 (000373fe:0007fed0)
[    0.000000] Memory: 2063496k/2095936k available (2823k kernel code, 31168k reserved, 1233k data, 376k init, 1190728k highmem)
[    0.000000] virtual kernel memory layout:
[    0.000000]     fixmap  : 0xffd56000 - 0xfffff000   (2724 kB)
[    0.000000]     pkmap   : 0xff400000 - 0xff800000   (4096 kB)
[    0.000000]     vmalloc : 0xf7bfe000 - 0xff3fe000   ( 120 MB)
[    0.000000]     lowmem  : 0xc0000000 - 0xf73fe000   ( 883 MB)
[    0.000000]       .init : 0xc13f7000 - 0xc1455000   ( 376 kB)
[    0.000000]       .data : 0xc12c1e94 - 0xc13f6458   (1233 kB)
[    0.000000]       .text : 0xc1000000 - 0xc12c1e94   (2823 kB)
[    0.000000] Checking if this processor honours the WP bit even in supervisor mode...Ok.
[    0.000000] NR_IRQS:1280
[    0.000000] Extended CMOS year: 2000
[    0.000000] Fast TSC calibration using PIT
[    0.000000] Detected 1995.031 MHz processor.
[    0.003241] Console: colour VGA+ 80x25
[    0.003244] console [tty0] enabled
[    0.003412] HPET: 3 timers in total, 0 timers will be used for per-cpu timer
[    0.003419] Calibrating delay loop (skipped), value calculated using timer frequency.. 3990.06 BogoMIPS (lpj=7980124)
[    0.003462] Security Framework initialized
[    0.003468] SELinux:  Disabled at boot.
[    0.003486] Mount-cache hash table entries: 512
[    0.003628] Initializing cgroup subsys ns
[    0.003633] Initializing cgroup subsys cpuacct
[    0.003637] Initializing cgroup subsys devices
[    0.003640] Initializing cgroup subsys freezer
[    0.003642] Initializing cgroup subsys net_cls
[    0.003665] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.003668] CPU: L2 cache: 4096K
[    0.003671] CPU: Physical Processor ID: 0
[    0.003672] CPU: Processor Core ID: 0
[    0.003676] mce: CPU supports 6 MCE banks
[    0.003686] CPU0: Thermal monitoring enabled (TM2)
[    0.003690] using mwait in idle threads.
[    0.003697] Performance Counters: Core2 events, Intel PMU driver.
[    0.003705] ... version:                 2
[    0.003707] ... bit width:               40
[    0.003708] ... generic counters:        2
[    0.003710] ... value mask:              000000ffffffffff
[    0.003712] ... max period:              000000007fffffff
[    0.003714] ... fixed-purpose counters:  3
[    0.003716] ... counter mask:            0000000700000003
[    0.003721] Checking 'hlt' instruction... OK.
[    0.017099] ACPI: Core revision 20090521
[    0.040446] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[    0.083588] CPU0: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz stepping 06
[    0.084001] Booting processor 1 APIC 0x1 ip 0x6000
[    0.004000] Initializing CPU#1
[    0.004000] Calibrating delay using timer specific routine.. 3990.03 BogoMIPS (lpj=7980079)
[    0.004000] CPU: L1 I cache: 32K, L1 D cache: 32K
[    0.004000] CPU: L2 cache: 4096K
[    0.004000] CPU: Physical Processor ID: 0
[    0.004000] CPU: Processor Core ID: 1
[    0.004000] mce: CPU supports 6 MCE banks
[    0.004000] CPU1: Thermal monitoring enabled (TM2)
[    0.004000] x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
[    0.169877] CPU1: Intel(R) Core(TM)2 CPU         T7200  @ 2.00GHz stepping 06
[    0.169892] checking TSC synchronization [CPU#0 -> CPU#1]:
[    0.172001] Measured 617460 cycles TSC warp between CPUs, turning off TSC clock.
[    0.172001] Marking TSC unstable due to check_tsc_sync_source failed
[    0.172070] Brought up 2 CPUs
[    0.172073] Total of 2 processors activated (7980.10 BogoMIPS).
[    0.172221] Booting paravirtualized kernel on bare hardware
[    0.172221] regulator: core version 0.5
[    0.172221] NET: Registered protocol family 16
[    0.172221] ACPI FADT declares the system doesn't support PCIe ASPM, so disable it
[    0.172221] ACPI: bus type pci registered
[    0.172276] PCI: MCFG configuration 0: base f0000000 segment 0 buses 0 - 63
[    0.172280] PCI: MCFG area at f0000000 reserved in E820
[    0.172282] PCI: Using MMCONFIG for extended config space
[    0.172284] PCI: Using configuration type 1 for base access
[    0.172615] bio: create slab <bio-0> at 0
[    0.176576] ACPI: EC: EC description table is found, configuring boot EC
[    0.183746] ACPI: EC: non-query interrupt received, switching to interrupt mode
[    0.192501] ACPI: Interpreter enabled
[    0.192507] ACPI: (supports S0 S3 S4 S5)
[    0.192531] ACPI: Using IOAPIC for interrupt routing
[    0.204789] ACPI: EC: GPE = 0x1c, I/O: command/status = 0x66, data = 0x62
[    0.204792] ACPI: EC: driver started in interrupt mode
[    0.204839] ACPI: Power Resource [PUBS] (on)
[    0.209136] ACPI: ACPI Dock Station Driver: 3 docks/bays found
[    0.209621] ACPI: PCI Root Bridge [PCI0] (0000:00)
[    0.209734] pci 0000:00:01.0: PME# supported from D0 D3hot D3cold
[    0.209738] pci 0000:00:01.0: PME# disabled
[    0.209892] pci 0000:00:1b.0: PME# supported from D0 D3hot D3cold
[    0.209897] pci 0000:00:1b.0: PME# disabled
[    0.209986] pci 0000:00:1c.0: PME# supported from D0 D3hot D3cold
[    0.209991] pci 0000:00:1c.0: PME# disabled
[    0.210081] pci 0000:00:1c.1: PME# supported from D0 D3hot D3cold
[    0.210086] pci 0000:00:1c.1: PME# disabled
[    0.210178] pci 0000:00:1c.2: PME# supported from D0 D3hot D3cold
[    0.210183] pci 0000:00:1c.2: PME# disabled
[    0.210273] pci 0000:00:1c.3: PME# supported from D0 D3hot D3cold
[    0.210278] pci 0000:00:1c.3: PME# disabled
[    0.210681] pci 0000:00:1d.7: PME# supported from D0 D3hot D3cold
[    0.210687] pci 0000:00:1d.7: PME# disabled
[    0.210858] pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
[    0.210863] pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH6 GPIO
[    0.210868] pci 0000:00:1f.0: ICH7 LPC Generic IO decode 1 PIO at 1600 (mask 007f)
[    0.210873] pci 0000:00:1f.0: ICH7 LPC Generic IO decode 2 PIO at 15e0 (mask 000f)
[    0.210877] pci 0000:00:1f.0: ICH7 LPC Generic IO decode 3 PIO at 1680 (mask 001f)
[    0.211113] pci 0000:00:1f.2: PME# supported from D3hot
[    0.211118] pci 0000:00:1f.2: PME# disabled
[    0.211698] pci 0000:02:00.0: PME# supported from D0 D3hot D3cold
[    0.211705] pci 0000:02:00.0: PME# disabled
[    0.211970] pci 0000:03:00.0: PME# supported from D0 D1 D3hot
[    0.211977] pci 0000:03:00.0: PME# disabled
[    0.212317] pci 0000:15:00.0: PME# supported from D0 D1 D2 D3hot D3cold
[    0.212324] pci 0000:15:00.0: PME# disabled
[    0.212397] pci 0000:00:1e.0: transparent bridge
[    0.216911] ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11)
[    0.217107] ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 *11)
[    0.217301] ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 10 *11)
[    0.217494] ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 9 10 *11)
[    0.217686] ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 9 10 *11)
[    0.217880] ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 7 9 10 *11)
[    0.218072] ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 9 10 *11)
[    0.218265] ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 7 9 10 *11)
[    0.218388] PCI: Using ACPI for IRQ routing
[    0.228017] hpet0: at MMIO 0xfed00000, IRQs 2, 8, 0
[    0.228023] hpet0: 3 comparators, 64-bit 14.318180 MHz counter
[    0.244014] pnp: PnP ACPI init
[    0.244024] ACPI: bus type pnp registered
[    0.248329] pnp: PnP ACPI: found 12 devices
[    0.248331] ACPI: ACPI bus type pnp unregistered
[    0.248334] PnPBIOS: Disabled by ACPI PNP
[    0.248344] system 00:00: iomem range 0x0-0x9ffff could not be reserved
[    0.248348] system 00:00: iomem range 0xc0000-0xc3fff could not be reserved
[    0.248351] system 00:00: iomem range 0xc4000-0xc7fff could not be reserved
[    0.248355] system 00:00: iomem range 0xc8000-0xcbfff could not be reserved
[    0.248358] system 00:00: iomem range 0xcc000-0xcffff could not be reserved
[    0.248361] system 00:00: iomem range 0xd0000-0xd3fff could not be reserved
[    0.248365] system 00:00: iomem range 0xdc000-0xdffff could not be reserved
[    0.248368] system 00:00: iomem range 0xe0000-0xe3fff could not be reserved
[    0.248371] system 00:00: iomem range 0xe4000-0xe7fff could not be reserved
[    0.248374] system 00:00: iomem range 0xe8000-0xebfff could not be reserved
[    0.248378] system 00:00: iomem range 0xec000-0xeffff could not be reserved
[    0.248381] system 00:00: iomem range 0xf0000-0xfffff could not be reserved
[    0.248384] system 00:00: iomem range 0x100000-0x7fffffff could not be reserved
[    0.248388] system 00:00: iomem range 0xfec00000-0xfed3ffff could not be reserved
[    0.248391] system 00:00: iomem range 0xfed41000-0xffffffff could not be reserved
[    0.248399] system 00:02: ioport range 0x164e-0x164f has been reserved
[    0.248403] system 00:02: ioport range 0x1000-0x107f has been reserved
[    0.248406] system 00:02: ioport range 0x1180-0x11bf has been reserved
[    0.248409] system 00:02: ioport range 0x800-0x80f has been reserved
[    0.248413] system 00:02: ioport range 0x15e0-0x15ef has been reserved
[    0.248416] system 00:02: ioport range 0x1600-0x165f could not be reserved
[    0.248420] system 00:02: iomem range 0xf0000000-0xf3ffffff has been reserved
[    0.248424] system 00:02: iomem range 0xfed1c000-0xfed1ffff has been reserved
[    0.248427] system 00:02: iomem range 0xfed14000-0xfed17fff has been reserved
[    0.248431] system 00:02: iomem range 0xfed18000-0xfed18fff has been reserved
[    0.248434] system 00:02: iomem range 0xfed19000-0xfed19fff has been reserved
[    0.283213] pci 0000:00:01.0: PCI bridge, secondary bus 0000:01
[    0.283217] pci 0000:00:01.0:   IO window: 0x2000-0x2fff
[    0.283222] pci 0000:00:01.0:   MEM window: 0xee100000-0xee1fffff
[    0.283226] pci 0000:00:01.0:   PREFETCH window: 0x000000d0000000-0x000000dfffffff
[    0.283231] pci 0000:00:1c.0: PCI bridge, secondary bus 0000:02
[    0.283235] pci 0000:00:1c.0:   IO window: 0x3000-0x3fff
[    0.283242] pci 0000:00:1c.0:   MEM window: 0xee000000-0xee0fffff
[    0.283247] pci 0000:00:1c.0:   PREFETCH window: disabled
[    0.283252] pci 0000:00:1c.1: PCI bridge, secondary bus 0000:03
[    0.283256] pci 0000:00:1c.1:   IO window: 0x4000-0x5fff
[    0.283263] pci 0000:00:1c.1:   MEM window: 0xec000000-0xedffffff
[    0.283269] pci 0000:00:1c.1:   PREFETCH window: 0x000000e4000000-0x000000e40fffff
[    0.283277] pci 0000:00:1c.2: PCI bridge, secondary bus 0000:04
[    0.283281] pci 0000:00:1c.2:   IO window: 0x6000-0x7fff
[    0.283287] pci 0000:00:1c.2:   MEM window: 0xe8000000-0xe9ffffff
[    0.283293] pci 0000:00:1c.2:   PREFETCH window: 0x000000e4100000-0x000000e41fffff
[    0.283301] pci 0000:00:1c.3: PCI bridge, secondary bus 0000:0c
[    0.283305] pci 0000:00:1c.3:   IO window: 0x8000-0x9fff
[    0.283312] pci 0000:00:1c.3:   MEM window: 0xea000000-0xebffffff
[    0.283317] pci 0000:00:1c.3:   PREFETCH window: 0x000000e4200000-0x000000e42fffff
[    0.283328] pci 0000:15:00.0: CardBus bridge, secondary bus 0000:16
[    0.283330] pci 0000:15:00.0:   IO window: 0x00a000-0x00a0ff
[    0.283337] pci 0000:15:00.0:   IO window: 0x00a400-0x00a4ff
[    0.283343] pci 0000:15:00.0:   PREFETCH window: 0xe0000000-0xe3ffffff
[    0.283349] pci 0000:15:00.0:   MEM window: 0x80000000-0x83ffffff
[    0.283356] pci 0000:00:1e.0: PCI bridge, secondary bus 0000:15
[    0.283360] pci 0000:00:1e.0:   IO window: 0xa000-0xdfff
[    0.283366] pci 0000:00:1e.0:   MEM window: 0xe4300000-0xe7ffffff
[    0.283372] pci 0000:00:1e.0:   PREFETCH window: 0x000000e0000000-0x000000e3ffffff
[    0.283387] pci 0000:00:01.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    0.283402] pci 0000:00:1c.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[    0.283418] pci 0000:00:1c.1: PCI INT B -> GSI 21 (level, low) -> IRQ 21
[    0.283433] pci 0000:00:1c.2: PCI INT C -> GSI 22 (level, low) -> IRQ 22
[    0.283448] pci 0000:00:1c.3: PCI INT D -> GSI 23 (level, low) -> IRQ 23
[    0.283459] pci 0000:00:1e.0: enabling device (0005 -> 0007)
[    0.283477] pci 0000:15:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    0.283614] NET: Registered protocol family 2
[    0.283706] IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
[    0.284030] TCP established hash table entries: 131072 (order: 8, 1048576 bytes)
[    0.284449] TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
[    0.284666] TCP: Hash tables configured (established 131072 bind 65536)
[    0.284668] TCP reno registered
[    0.284754] NET: Registered protocol family 1
[    0.284814] Unpacking initramfs...
[    0.531249] Freeing initrd memory: 8663k freed
[    0.536293] Simple Boot Flag at 0x35 set to 0x1
[    0.536694] audit: initializing netlink socket (disabled)
[    0.536718] type=2000 audit(1258079162.536:1): initialized
[    0.537092] highmem bounce pool size: 64 pages
[    0.537097] HugeTLB registered 4 MB page size, pre-allocated 0 pages
[    0.537211] VFS: Disk quotas dquot_6.5.2
[    0.537248] Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
[    0.537311] msgmni has been set to 1723
[    0.537503] alg: No test for stdrng (krng)
[    0.537536] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 253)
[    0.537540] io scheduler noop registered
[    0.537542] io scheduler anticipatory registered
[    0.537544] io scheduler deadline registered
[    0.537562] io scheduler cfq registered (default)
[    0.538691] isapnp: Scanning for PnP cards...
[    0.893603] isapnp: No Plug & Play device found
[    0.894789] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.895228] PNP: PS/2 Controller [PNP0303:KBD,PNP0f13:MOU] at 0x60,0x64 irq 1,12
[    0.903006] serio: i8042 KBD port at 0x60,0x64 irq 1
[    0.903013] serio: i8042 AUX port at 0x60,0x64 irq 12
[    0.903062] mice: PS/2 mouse device common for all mice
[    0.903112] rtc_cmos 00:07: RTC can wake from S4
[    0.903145] rtc_cmos 00:07: rtc core: registered rtc_cmos as rtc0
[    0.903176] rtc0: alarms up to one month, y3k, 114 bytes nvram, hpet irqs
[    0.903189] cpuidle: using governor ladder
[    0.903191] cpuidle: using governor menu
[    0.903195] No iBFT detected.
[    0.903513] TCP cubic registered
[    0.903567] NET: Registered protocol family 10
[    0.903990] lo: Disabled Privacy Extensions
[    0.904300] Mobile IPv6
[    0.904303] NET: Registered protocol family 17
[    0.904326] Using IPI No-Shortcut mode
[    0.904386] registered taskstats version 1
[    0.904530] rtc_cmos 00:07: setting system clock to 2009-11-13 02:26:03 UTC (1258079163)
[    0.904608] Freeing unused kernel memory: 376k freed
[    0.904847] Write protecting the kernel text: 2824k
[    0.904877] Write protecting the kernel read-only data: 844k
[    0.907260] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[    1.024258] thermal LNXTHERM:01: registered as thermal_zone0
[    1.024267] ACPI: Thermal Zone [THM0] (37 C)
[    1.025742] thermal LNXTHERM:02: registered as thermal_zone1
[    1.025750] ACPI: Thermal Zone [THM1] (38 C)
[    1.105129] SCSI subsystem initialized
[    1.107678] Linux agpgart interface v0.103
[    1.116033] acpi device:08: registered as cooling_device0
[    1.116211] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A08:00/device:06/device:07/input/input1
[    1.116219] ACPI: Video Device [VID1] (multi-head: yes  rom: no  post: no)
[    1.127752] Uniform Multi-Platform E-IDE driver
[    1.150918] piix 0000:00:1f.1: IDE controller (0x8086:0x27df rev 0x02)
[    1.150935] PIIX_IDE 0000:00:1f.1: PCI INT C -> GSI 16 (level, low) -> IRQ 16
[    1.150948] piix 0000:00:1f.1: IDE port disabled
[    1.150958] piix 0000:00:1f.1: not 100% native mode: will probe irqs later
[    1.150966]     ide0: BM-DMA at 0x1880-0x1887
[    1.151725] usbcore: registered new interface driver usbfs
[    1.151750] usbcore: registered new interface driver hub
[    1.151782] usbcore: registered new device driver usb
[    1.154058] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.167610] e1000e: Intel(R) PRO/1000 Network Driver - 1.0.2-k2
[    1.167613] e1000e: Copyright (c) 1999-2008 Intel Corporation.
[    1.167656] e1000e 0000:02:00.0: Disabling L1 ASPM
[    1.167675] e1000e 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    1.229052] e1000e 0000:02:00.0: Warning: detected ASPM enabled in EEPROM
[    1.289975] 0000:02:00.0: eth0: (PCI Express:2.5GB/s:Width x1) 00:1a:6b:67:47:20
[    1.289978] 0000:02:00.0: eth0: Intel(R) PRO/1000 Network Connection
[    1.290055] 0000:02:00.0: eth0: MAC: 2, PHY: 2, PBA No: 005301-003
[    1.885421] hda: HL-DT-ST DVDRAM GSA-4083N, ATAPI CD/DVD-ROM drive
[    2.221820] hda: UDMA/33 mode selected
[    2.222291] ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
[    2.227881] ehci_hcd 0000:00:1d.7: power state changed by ACPI to D0
[    2.227894] ehci_hcd 0000:00:1d.7: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[    2.227914] ehci_hcd 0000:00:1d.7: EHCI Host Controller
[    2.227943] ehci_hcd 0000:00:1d.7: new USB bus registered, assigned bus number 1
[    2.231861] ehci_hcd 0000:00:1d.7: debug port 1
[    2.231882] ehci_hcd 0000:00:1d.7: irq 19, io mem 0xee404000
[    2.244013] ehci_hcd 0000:00:1d.7: USB 2.0 started, EHCI 1.00
[    2.244038] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    2.244041] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.244043] usb usb1: Product: EHCI Host Controller
[    2.244046] usb usb1: Manufacturer: Linux 2.6.31-1-686 ehci_hcd
[    2.244048] usb usb1: SerialNumber: 0000:00:1d.7
[    2.244112] usb usb1: configuration #1 chosen from 1 choice
[    2.244145] hub 1-0:1.0: USB hub found
[    2.244153] hub 1-0:1.0: 8 ports detected
[    2.244232] ahci 0000:00:1f.2: PCI INT B -> GSI 16 (level, low) -> IRQ 16
[    2.244343] ahci 0000:00:1f.2: AHCI 0001.0100 32 slots 4 ports 1.5 Gbps 0x1 impl SATA mode
[    2.244347] ahci 0000:00:1f.2: flags: 64bit ncq pm led clo pio slum part 
[    2.244911] scsi0 : ahci
[    2.245058] scsi1 : ahci
[    2.245159] scsi2 : ahci
[    2.245262] scsi3 : ahci
[    2.245346] ata1: SATA max UDMA/133 abar m1024@0xee404400 port 0xee404500 irq 30
[    2.245349] ata2: DUMMY
[    2.245351] ata3: DUMMY
[    2.245353] ata4: DUMMY
[    2.277325] uhci_hcd: USB Universal Host Controller Interface driver
[    2.277900] uhci_hcd 0000:00:1d.0: power state changed by ACPI to D0
[    2.277909] uhci_hcd 0000:00:1d.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    2.279003] uhci_hcd 0000:00:1d.0: UHCI Host Controller
[    2.279016] uhci_hcd 0000:00:1d.0: new USB bus registered, assigned bus number 2
[    2.279055] uhci_hcd 0000:00:1d.0: irq 16, io base 0x00001800
[    2.279094] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    2.279097] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.279100] usb usb2: Product: UHCI Host Controller
[    2.279102] usb usb2: Manufacturer: Linux 2.6.31-1-686 uhci_hcd
[    2.279105] usb usb2: SerialNumber: 0000:00:1d.0
[    2.279203] usb usb2: configuration #1 chosen from 1 choice
[    2.279271] hub 2-0:1.0: USB hub found
[    2.279279] hub 2-0:1.0: 2 ports detected
[    2.279333] uhci_hcd 0000:00:1d.1: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    2.279344] uhci_hcd 0000:00:1d.1: UHCI Host Controller
[    2.279352] uhci_hcd 0000:00:1d.1: new USB bus registered, assigned bus number 3
[    2.279388] uhci_hcd 0000:00:1d.1: irq 17, io base 0x00001820
[    2.279422] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    2.279425] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.279427] usb usb3: Product: UHCI Host Controller
[    2.279430] usb usb3: Manufacturer: Linux 2.6.31-1-686 uhci_hcd
[    2.279432] usb usb3: SerialNumber: 0000:00:1d.1
[    2.279536] usb usb3: configuration #1 chosen from 1 choice
[    2.279603] hub 3-0:1.0: USB hub found
[    2.279611] hub 3-0:1.0: 2 ports detected
[    2.280718] uhci_hcd 0000:00:1d.2: power state changed by ACPI to D0
[    2.280727] uhci_hcd 0000:00:1d.2: PCI INT C -> GSI 18 (level, low) -> IRQ 18
[    2.280738] uhci_hcd 0000:00:1d.2: UHCI Host Controller
[    2.280752] uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
[    2.280789] uhci_hcd 0000:00:1d.2: irq 18, io base 0x00001840
[    2.280826] usb usb4: New USB device found, idVendor=1d6b, idProduct=0001
[    2.280829] usb usb4: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.280832] usb usb4: Product: UHCI Host Controller
[    2.280834] usb usb4: Manufacturer: Linux 2.6.31-1-686 uhci_hcd
[    2.280837] usb usb4: SerialNumber: 0000:00:1d.2
[    2.280932] usb usb4: configuration #1 chosen from 1 choice
[    2.280997] hub 4-0:1.0: USB hub found
[    2.281014] hub 4-0:1.0: 2 ports detected
[    2.281067] uhci_hcd 0000:00:1d.3: PCI INT D -> GSI 19 (level, low) -> IRQ 19
[    2.281078] uhci_hcd 0000:00:1d.3: UHCI Host Controller
[    2.281086] uhci_hcd 0000:00:1d.3: new USB bus registered, assigned bus number 5
[    2.281114] uhci_hcd 0000:00:1d.3: irq 19, io base 0x00001860
[    2.281147] usb usb5: New USB device found, idVendor=1d6b, idProduct=0001
[    2.281150] usb usb5: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    2.281153] usb usb5: Product: UHCI Host Controller
[    2.281155] usb usb5: Manufacturer: Linux 2.6.31-1-686 uhci_hcd
[    2.281158] usb usb5: SerialNumber: 0000:00:1d.3
[    2.281246] usb usb5: configuration #1 chosen from 1 choice
[    2.281310] hub 5-0:1.0: USB hub found
[    2.281318] hub 5-0:1.0: 2 ports detected
[    2.788029] ata1: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
[    2.789362] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
[    2.789365] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
[    2.790422] ata1.00: ATA-7: HTS541080G9SA00, MB4IC65R, max UDMA/100
[    2.790425] ata1.00: 156301488 sectors, multi 16: LBA48 
[    2.791966] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 filtered out
[    2.791969] ata1.00: ACPI cmd ef/10:03:00:00:00:a0 filtered out
[    2.793050] ata1.00: configured for UDMA/100
[    2.810429] ata1.00: configured for UDMA/100
[    2.810433] ata1: EH complete
[    2.810539] scsi 0:0:0:0: Direct-Access     ATA      HTS541080G9SA00  MB4I PQ: 0 ANSI: 5
[    2.818961] ide-cd driver 5.00
[    2.820786] ide-cd: hda: ATAPI 24X DVD-ROM DVD-R/RAM CD-R/RW drive, 2048kB Cache
[    2.820793] Uniform CD-ROM driver Revision: 3.20
[    2.826141] sd 0:0:0:0: [sda] 156301488 512-byte logical blocks: (80.0 GB/74.5 GiB)
[    2.826188] sd 0:0:0:0: [sda] Write Protect is off
[    2.826217] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
[    2.826340]  sda: sda1 sda2 < sda5 >
[    3.225959] sd 0:0:0:0: [sda] Attached SCSI disk
[    3.485588] PM: Starting manual resume from disk
[    3.553783] kjournald starting.  Commit interval 5 seconds
[    3.553793] EXT3-fs: mounted filesystem with ordered data mode.
[    5.298302] udev: starting version 147
[    5.807372] input: Power Button as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input2
[    5.807381] ACPI: Power Button [PWRF]
[    5.807454] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input3
[    5.808046] ACPI: Lid Switch [LID]
[    5.808106] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input4
[    5.808114] ACPI: Sleep Button [SLPB]
[    6.040362] ACPI: SSDT 7fef1d36 00282 (v01  PmRef  Cpu0Ist 00000100 INTL 20050513)
[    6.041012] ACPI: SSDT 7fef203d 0065A (v01  PmRef  Cpu0Cst 00000100 INTL 20050513)
[    6.047029] ACPI: AC Adapter [AC] (on-line)
[    6.048283] ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
[    6.048327] processor LNXCPU:00: registered as cooling_device1
[    6.048332] ACPI: Processor [CPU0] (supports 8 throttling states)
[    6.048756] ACPI: SSDT 7fef1c6e 000C8 (v01  PmRef  Cpu1Ist 00000100 INTL 20050513)
[    6.049188] ACPI: SSDT 7fef1fb8 00085 (v01  PmRef  Cpu1Cst 00000100 INTL 20050513)
[    6.050900] ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
[    6.050927] processor LNXCPU:01: registered as cooling_device2
[    6.050932] ACPI: Processor [CPU1] (supports 8 throttling states)
[    6.054848] Non-volatile memory driver v1.3
[    6.089696] ACPI: Battery Slot [BAT0] (battery present)
[    6.748067] cfg80211: Using static regulatory domain info
[    6.748070] cfg80211: Regulatory domain: US
[    6.748072] 	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[    6.748075] 	(2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2700 mBm)
[    6.748078] 	(5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.748081] 	(5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.748084] 	(5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.748087] 	(5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[    6.748090] 	(5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[    6.748269] cfg80211: Calling CRDA for country: US
[    6.792049] NET: Registered protocol family 23
[    6.795487] input: PC Speaker as /devices/platform/pcspkr/input/input5
[    6.808422] yenta_cardbus 0000:15:00.0: CardBus bridge found [17aa:2012]
[    6.808450] yenta_cardbus 0000:15:00.0: Using INTVAL to route CSC interrupts to PCI
[    6.808452] yenta_cardbus 0000:15:00.0: Routing CardBus interrupts to PCI
[    6.808459] yenta_cardbus 0000:15:00.0: TI: mfunc 0x01d01002, devctl 0x64
[    6.859572] intel_rng: FWH not detected
[    6.928451] i801_smbus 0000:00:1f.3: PCI INT A -> GSI 23 (level, low) -> IRQ 23
[    6.981590] thinkpad_acpi: ThinkPad ACPI Extras v0.23
[    6.981593] thinkpad_acpi: http://ibm-acpi.sf.net/
[    6.981595] thinkpad_acpi: ThinkPad BIOS 7IET26WW (1.07 ), EC 79HT50WW-1.07
[    6.981597] thinkpad_acpi: Lenovo ThinkPad T60p, model 8743CTO
[    6.982244] thinkpad_acpi: radio switch found; radios are enabled
[    6.982337] thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
[    6.982339] thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
[    6.990293] Registered led device: tpacpi::thinklight
[    6.990355] Registered led device: tpacpi::power
[    6.990409] Registered led device: tpacpi::standby
[    6.990476] Registered led device: tpacpi::thinkvantage
[    6.993293] thinkpad_acpi: Standard ACPI backlight interface available, not loading native one.
[    6.993650] input: ThinkPad Extra Buttons as /devices/virtual/input/input6
[    7.039186] nsc-ircc 00:0a: activated
[    7.039222] nsc-ircc, chip->init
[    7.039237] nsc-ircc, Found chip at base=0x164e
[    7.039279] nsc-ircc, driver loaded (Dag Brattli)
[    7.039917] IrDA: Registered device irda0
[    7.039919] nsc-ircc, Using dongle: IBM31T1100 or Temic TFDS6000/TFDS6500
[    7.040914] yenta_cardbus 0000:15:00.0: ISA IRQ mask 0x0cf0, PCI irq 16
[    7.040918] yenta_cardbus 0000:15:00.0: Socket status: 30000007
[    7.040924] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge I/O window: 0xa000 - 0xdfff
[    7.040927] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa000-0xdfff: clean.
[    7.041925] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge Memory window: 0xe4300000 - 0xe7ffffff
[    7.041929] yenta_cardbus 0000:15:00.0: pcmcia: parent PCI bridge Memory window: 0xe0000000 - 0xe3ffffff
[    7.112133] ath9k 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[    7.461823] Synaptics Touchpad, model: 1, fw: 6.2, id: 0x81a0b1, caps: 0xa04793/0x300000
[    7.461828] serio: Synaptics pass-through port at isa0060/serio1/input0
[    7.502775] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input7
[    7.633063] usb 5-1: new full speed USB device using uhci_hcd and address 2
[    7.734725] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x100-0x3af: clean.
[    7.736912] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x3e0-0x4ff: excluding 0x4d0-0x4d7
[    7.737849] pcmcia_socket pcmcia_socket0: cs: IO port probe 0x820-0x8ff: clean.
[    7.738604] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xc00-0xcf7: clean.
[    7.739548] pcmcia_socket pcmcia_socket0: cs: IO port probe 0xa00-0xaff: clean.
[    7.809068] usb 5-1: New USB device found, idVendor=0a5c, idProduct=2110
[    7.809071] usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    7.809074] usb 5-1: Product: BCM2045B
[    7.809076] usb 5-1: Manufacturer: Broadcom Corp
[    7.809147] usb 5-1: configuration #1 chosen from 1 choice
[    7.839042] Registered led device: ath9k-phy0::radio
[    7.839060] Registered led device: ath9k-phy0::assoc
[    7.839077] Registered led device: ath9k-phy0::tx
[    7.839096] Registered led device: ath9k-phy0::rx
[    7.839106] phy0: Atheros AR5418 MAC/BB Rev:2 AR5133 RF Rev:81: mem=0xf83a0000, irq=17
[    7.846018] HDA Intel 0000:00:1b.0: PCI INT B -> GSI 17 (level, low) -> IRQ 17
[    7.846023] hda_intel: probe_mask set to 0x1 for device 17aa:2010
[    8.059387] Bluetooth: Core ver 2.15
[    8.059750] NET: Registered protocol family 31
[    8.059752] Bluetooth: HCI device and connection manager initialized
[    8.059755] Bluetooth: HCI socket layer initialized
[    8.133558] Bluetooth: Generic Bluetooth USB driver ver 0.5
[    8.133674] usbcore: registered new interface driver btusb
[    8.253857] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
[    9.594837] Adding 2650684k swap on /dev/sda5.  Priority:-1 extents:1 across:2650684k 
[    9.798443] EXT3 FS on sda1, internal journal
[    9.929756] loop: module loaded
[   12.152313] fuse init (API version 7.12)
[   12.815877] IBM TrackPoint firmware: 0x0e, buttons: 3/3
[   13.032185] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input9
[   23.001065] Clocksource tsc unstable (delta = -222081479 ns)
[   24.311255] input: /usr/sbin/thinkpad-keys as /devices/virtual/input/input10
[   29.448250] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   33.481955] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   33.496675] [drm] Initialized drm 1.1.0 20060810
[   33.516380] pci 0000:01:00.0: power state changed by ACPI to D0
[   33.516403] pci 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[   33.516786] [drm] Initialized radeon 1.31.0 20080528 for 0000:01:00.0 on minor 0
[   33.851289] [drm] Setting GART location based on new memory map
[   33.852978] [drm] Loading R500 Microcode
[   33.853101] platform radeon_cp.0: firmware: requesting radeon/R520_cp.bin
[   33.897839] [drm] Num pipes: 1
[   33.897857] [drm] writeback test succeeded in 2 usecs
[   88.958504] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

** Model information
Lenovo Thinkpad T60p

** Network interface configuration:
# This file describes the network interfaces available on your system
# and how to activate them. For more information, see interfaces(5).

# The loopback network interface
auto lo
iface lo inet loopback

# The wireless network interface
allow-hotplug wlan0
auto wlan0
iface wlan0 inet dhcp
	dns-nameservers 171.64.7.121 171.64.7.77 171.64.7.99 171.64.7.55
	dns-search stanford.edu
	wireless-essid Eyrie
	wireless-key <redacted> restricted
	wireless-channel 3

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub [8086:27a0] (rev 03)
	Subsystem: Lenovo ThinkPad T60 [17aa:2015]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port [8086:27a1] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: ee100000-ee1fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1b.0 Audio device [0403]: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller [8086:27d8] (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:2010]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at ee400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1 [8086:27d0] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: ee000000-ee0fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.1 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2 [8086:27d2] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00004000-00005fff
	Memory behind bridge: ec000000-edffffff
	Prefetchable memory behind bridge: 00000000e4000000-00000000e40fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.2 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3 [8086:27d4] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=0b, sec-latency=0
	I/O behind bridge: 00006000-00007fff
	Memory behind bridge: e8000000-e9ffffff
	Prefetchable memory behind bridge: 00000000e4100000-00000000e41fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1c.3 PCI bridge [0604]: Intel Corporation 82801G (ICH7 Family) PCI Express Port 4 [8086:27d6] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0c, subordinate=13, sec-latency=0
	I/O behind bridge: 00008000-00009fff
	Memory behind bridge: ea000000-ebffffff
	Prefetchable memory behind bridge: 00000000e4200000-00000000e42fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver

00:1d.0 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #1 [8086:27c8] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 4: I/O ports at 1800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #2 [8086:27c9] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 17
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #3 [8086:27ca] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB UHCI Controller #4 [8086:27cb] (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200a]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801G (ICH7 Family) USB2 EHCI Controller [8086:27cc] (rev 02) (prog-if 20 [EHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200b]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at ee404000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev e2) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=15, subordinate=18, sec-latency=32
	I/O behind bridge: 0000a000-0000dfff
	Memory behind bridge: e4300000-e7ffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000e3ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge [8086:27b9] (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:2009]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200c]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1880 [size=16]
	Kernel driver in use: PIIX_IDE

00:1f.2 SATA controller [0106]: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller [8086:27c5] (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200d]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 30
	Region 0: I/O ports at 18c8 [size=8]
	Region 1: I/O ports at 18ac [size=4]
	Region 2: I/O ports at 18c0 [size=8]
	Region 3: I/O ports at 18a8 [size=4]
	Region 4: I/O ports at 18b0 [size=16]
	Region 5: Memory at ee404400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801G (ICH7 Family) SMBus Controller [8086:27da] (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:200f]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 18e0 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc M56GL [Mobility FireGL V5250] [1002:71d4] (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:20a4]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 1: I/O ports at 2000 [size=256]
	Region 2: Memory at ee100000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at ee120000 [disabled] [size=128K]
	Capabilities: <access denied>

02:00.0 Ethernet controller [0200]: Intel Corporation 82573L Gigabit Ethernet Controller [8086:109a]
	Subsystem: Lenovo ThinkPad T60 [17aa:2001]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 29
	Region 0: Memory at ee000000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 3000 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

03:00.0 Network controller [0280]: Atheros Communications Inc. AR5008 Wireless Network Adapter [168c:0024] (rev 01)
	Subsystem: Atheros Communications Inc. Device [168c:0033]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at edf00000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath9k

15:00.0 CardBus bridge [0607]: Texas Instruments PCI1510 PC card Cardbus Controller [104c:ac56]
	Subsystem: Lenovo ThinkPad T60/R60 series [17aa:2012]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e4300000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
	Memory window 0: e0000000-e3fff000 (prefetchable)
	Memory window 1: 88000000-8bfff000
	I/O window 0: 0000a000-0000a0ff
	I/O window 1: 0000a400-0000a4ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus


** USB devices:
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 002: ID 0a5c:2110 Broadcom Corp. Bluetooth Controller
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.31-1-686 depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.4     tools for generating an initramfs
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.31-1-686 recommends:
ii  firmware-linux-free           2.6.31-1   Binary firmware for various driver
ii  libc6-i686                    2.10.1-6   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.31-1-686 suggests:
pn  grub | lilo                   <none>     (no description available)
pn  linux-doc-2.6.31              <none>     (no description available)

Versions of packages linux-image-2.6.31-1-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
ii  firmware-linux                0.21       Binary firmware for various driver
ii  firmware-linux-nonfree        0.21       Binary firmware for various driver
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.31-1-686/postinst/missing-firmware-2.6.31-1-686:
  linux-image-2.6.31-1-686/postinst/bootloader-error-2.6.31-1-686:
  linux-image-2.6.31-1-686/prerm/would-invalidate-boot-loader-2.6.31-1-686: true
  linux-image-2.6.31-1-686/prerm/removing-running-kernel-2.6.31-1-686: true
  linux-image-2.6.31-1-686/postinst/bootloader-test-error-2.6.31-1-686:
  linux-image-2.6.31-1-686/postinst/depmod-error-initrd-2.6.31-1-686: false




Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 13 Nov 2009 03:36:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://bugzilla.kernel.org/show_bug.cgi?id=14267'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 13 Nov 2009 03:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Fri, 13 Nov 2009 04:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 Nov 2009 04:03:03 GMT) Full text and rfc822 format available.

Message #14 received at 556009@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Russ Allbery <rra@debian.org>, 556009@bugs.debian.org
Subject: Re: Bug#556009: linux-image-2.6.31-1-686: ath9k disassociates frequently, regression from 2.6.30
Date: Fri, 13 Nov 2009 03:33:22 +0000
[Message part 1 (text/plain, inline)]
On Thu, 2009-11-12 at 19:17 -0800, Russ Allbery wrote:
> Package: linux-2.6
> Version: 2.6.31-1
> Severity: important
> 
> After upgrading from 2.6.30-2-686, where wireless was working fine,
> the ath9k driver started frequently spontaneously disassociating.
> Forcing reassociation with iwconfig wlan0 ap <mac-address> would work,
> but it would spontaneously disassociate again after just a few minutes.
> 
> This appears to be:
> 
>     http://bugzilla.kernel.org/show_bug.cgi?id=14267
> 
> but I'm not certain.
[...]

Agreed; we'll track that upstream bug.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Sun, 09 May 2010 20:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 May 2010 20:21:05 GMT) Full text and rfc822 format available.

Message #19 received at 556009@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Debian Bug Tracking System <556009@bugs.debian.org>
Subject: Re: ath9k disassociates frequently, regression from 2.6.30
Date: Sun, 09 May 2010 13:18:44 -0700
Package: linux-2.6
Severity: normal

There were apparently multiple problems involved here, and the upstream
bug is still open, so I'm not sure whether you want to close this.  But
for the record, my problems were completely resolved by 2.6.32 and have
not recurred.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686-bigmem (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Wed, 20 Oct 2010 20:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian MacDonald <imac@netstatz.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Oct 2010 20:06:04 GMT) Full text and rfc822 format available.

Message #24 received at 556009@bugs.debian.org (full text, mbox):

From: Ian MacDonald <imac@netstatz.com>
To: 556009@bugs.debian.org
Subject: ath9k disassociates from 2.6.32-5
Date: Wed, 20 Oct 2010 16:03:29 -0400
Package: linux-2.6
Version: 2.6.32-5
Severity: important

After upgrading to Squeeze, my ath9k is dropping its connection
intermittently.

My hardware and issues matches a bug that is apparently resolved in
current linux vanilla (per upstream comments), however persists in the
current squeeze 2.6.32-25 images.

The issue is consistent with my syslog, my hardware, and my observation
that this occurs under some load (rarely when idle) per upstream
https://bugzilla.kernel.org/show_bug.cgi?id=14267

01:0a.0 Network controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)
	Subsystem: D-Link System Inc DWA-552 802.11n Xtreme N Desktop Adapter (rev A1)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: Memory at fdde0000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: [40] #80 [0000]
	Kernel driver in use: ath9k

I have implemented a shutdown of power management that may help per
upstream, but have yet to confirm if this workaround is effective at
all. 

# iwconfig ath1 power off

The issue does not have a set frequency occurring at intervals of
minutes, hours and days.   
 
Some syslog message samples with obfuscated mac appears as:

Oct 19 07:44:27 maple kernel: [26796.312016] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.
Oct 19 19:13:32 maple kernel: [ 6159.317018] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.
Oct 20 14:23:26 maple kernel: [75153.317020] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.

This system is running the 2.6.32-25 amd64-xen flavour. 
ii  xen-linux-system-2.6.32-5-xen-amd64     2.6.32-25                                Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
ii  wireless-tools                          30~pre9-5                                Tools for manipulating Linux Wireless Extensions







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Thu, 21 Oct 2010 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Oct 2010 03:15:03 GMT) Full text and rfc822 format available.

Message #29 received at 556009@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ian MacDonald <imac@netstatz.com>, 556009@bugs.debian.org
Subject: Re: Bug#556009: ath9k disassociates from 2.6.32-5
Date: Thu, 21 Oct 2010 04:09:45 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2010-10-20 at 16:03 -0400, Ian MacDonald wrote:
> Package: linux-2.6
> Version: 2.6.32-5
> Severity: important
> 
> After upgrading to Squeeze, my ath9k is dropping its connection
> intermittently.
> 
> My hardware and issues matches a bug that is apparently resolved in
> current linux vanilla (per upstream comments), however persists in the
> current squeeze 2.6.32-25 images.
> 
> The issue is consistent with my syslog, my hardware, and my observation
> that this occurs under some load (rarely when idle) per upstream
> https://bugzilla.kernel.org/show_bug.cgi?id=14267
[...]

I don't see any fixes there except for disabling power-saving by
default, and we have that already.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Thu, 21 Oct 2010 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian MacDonald <imac@netstatz.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Oct 2010 12:57:06 GMT) Full text and rfc822 format available.

Message #34 received at 556009@bugs.debian.org (full text, mbox):

From: Ian MacDonald <imac@netstatz.com>
To: 556009@bugs.debian.org
Subject: Re: Bug#556009: ath9k disassociates from 2.6.32-5
Date: Thu, 21 Oct 2010 08:54:55 -0400
On Thu, 2010-10-21 at 04:09 +0100, Ben Hutchings wrote:
> I don't see any fixes there except for disabling power-saving by
> default, and we have that already.

After disabling power management (which I suspect may have already been
turned off by default), no change with this issue. 

Oct 20 18:18:57 maple kernel: [89284.317016] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.
Oct 20 23:38:25 maple kernel: [108452.317019] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.

maple:~# iwconfig | grep "Power Management"
          Power Management:off

There is no specific fix for 2.6.32 as it seems to have resolved itself
in the current kernel release and from the comments, it appears the
developers were unable to bisect to the specific commit possibly due to
build problems over the range where the problem was introduced. Knowing
this issue is pegged to Debian stable might help move that effort
forwards so I'll post upstream as well.

Would an ath9k update be considered/possible at this point if a build
against current source resolves this issue?





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Mon, 25 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Oct 2010 21:03:03 GMT) Full text and rfc822 format available.

Message #39 received at 556009@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Ian MacDonald <imac@netstatz.com>, 556009@bugs.debian.org
Subject: Re: Bug#556009: ath9k disassociates from 2.6.32-5
Date: Mon, 25 Oct 2010 21:58:29 +0100
[Message part 1 (text/plain, inline)]
On Thu, Oct 21, 2010 at 08:54:55AM -0400, Ian MacDonald wrote:
> On Thu, 2010-10-21 at 04:09 +0100, Ben Hutchings wrote:
> > I don't see any fixes there except for disabling power-saving by
> > default, and we have that already.
> 
> After disabling power management (which I suspect may have already been
> turned off by default), no change with this issue. 
> 
> Oct 20 18:18:57 maple kernel: [89284.317016] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.
> Oct 20 23:38:25 maple kernel: [108452.317019] No probe response from AP 00:01:46:XX:XX:XX after 500ms, disconnecting.
> 
> maple:~# iwconfig | grep "Power Management"
>           Power Management:off
> 
> There is no specific fix for 2.6.32 as it seems to have resolved itself
> in the current kernel release and from the comments, it appears the
> developers were unable to bisect to the specific commit possibly due to
> build problems over the range where the problem was introduced. Knowing
> this issue is pegged to Debian stable might help move that effort
> forwards so I'll post upstream as well.
> 
> Would an ath9k update be considered/possible at this point if a build
> against current source resolves this issue?
 
We will only apply bug fixes and new hardware support.  We will not
normally update a driver to a later upstream version because we do not
have the resources to carry out regression testing.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Tue, 26 Oct 2010 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ian MacDonald <imac@netstatz.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Oct 2010 13:54:03 GMT) Full text and rfc822 format available.

Message #44 received at 556009@bugs.debian.org (full text, mbox):

From: Ian MacDonald <imac@netstatz.com>
To: 556009@bugs.debian.org
Subject: Re: Bug#556009: ath9k disassociates from 2.6.32-5
Date: Tue, 26 Oct 2010 09:50:08 -0400
Thanks Ben; I expected that was the case based on policy. 

Contrary to my expectations, this is unresolved upstream for my hardware
combination in STA mode.  I've included some details on my additional
tests upstream.  





Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 07 Mar 2011 16:39:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Mon, 13 Jun 2011 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 01:45:03 GMT) Full text and rfc822 format available.

Message #51 received at 556009@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ian MacDonald <imac@netstatz.com>
Cc: 556009@bugs.debian.org
Subject: Re: ath9k disassociates from 2.6.32-5
Date: Sun, 12 Jun 2011 20:41:48 -0500
Hi Ian,

Ian MacDonald wrote:

> Contrary to my expectations, this is unresolved upstream for my hardware
> combination in STA mode.  I've included some details on my additional
> tests upstream.  

Upstream, you wrote:

> With power management disabled, this bug still exists on my AR5008 (DWA-522)
> hardware.

and said many things about a whole bunch of other Atheros chipsets :).
Anyway, do you still experience this with the kernel from testing, sid
or experimental?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#556009; Package linux-2.6. (Mon, 13 Jun 2011 21:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 21:06:10 GMT) Full text and rfc822 format available.

Message #56 received at 556009@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 556009@bugs.debian.org
Subject: [imac@netstatz.com: Re: ath9k disassociates from 2.6.32-5]
Date: Mon, 13 Jun 2011 16:02:21 -0500
[Message part 1 (text/plain, inline)]
tags 556009 + moreinfo
quit

FYI.  Certainly a good excuse.
[Message part 2 (message/rfc822, inline)]
From: "Ian B. MacDonald" <imac@netstatz.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Subject: Re: ath9k disassociates from 2.6.32-5
Date: Mon, 13 Jun 2011 11:36:36 -0400
[Message part 3 (text/plain, inline)]
Unfortunately I don't use it anymore. Still have the hardware but no time with work and new family ... son at 8 weeks.

Cheers,
Ian

Jonathan Nieder <jrnieder@gmail.com> wrote:

Hi Ian,

Ian MacDonald wrote:

> Contrary to my expectations, this is unresolved upstream for my hardware
> combination in STA mode. I've included some details on my additional
> tests upstream. 

Upstream, you wrote:

> With power management disabled, this bug still exists on my AR5008 (DWA-522)
> hardware.

and said many things about a whole bunch of other Atheros chipsets :).
Anyway, do you still experience this with the kernel from testing, sid
or experimental?

[Message part 4 (text/html, inline)]

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 21:06:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:45:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.